org.apache.ignite.internal.processors.cache

## Class EntryGetResult

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.EntryGetResult

Direct Known Subclasses:
  EntryGetWithTtlResult

    public class EntryGetResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EntryGetResult(Object val, GridCacheVersion ver)`
`EntryGetResult(Object val, GridCacheVersion ver, boolean reserved)`

### Method Summary

Methods
`long` `expireTime()`
`boolean` `reserved()`
`long` `ttl()`
`<T> T` `value()`
`void` `value(Object val)`
`GridCacheVersion` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntryGetResult

    public EntryGetResult(Object val,
                  GridCacheVersion ver,
                  boolean reserved)

Parameters:
  `val` - Value.
  `ver` - Version.
  `reserved` - Reserved flag.

#### EntryGetResult

    public EntryGetResult(Object val,
                  GridCacheVersion ver)

Parameters:
  `val` - Value.
  `ver` - Version.

### Method Detail

#### value

    public <T> T value()

Returns:
  Value.

#### value

    public void value(Object val)

Parameters:
  `val` - Value.

#### version

    public GridCacheVersion version()

Returns:
  Version.

#### reserved

    public boolean reserved()

Returns:
  Reserved flag.

#### expireTime

    public long expireTime()

Returns:
  Entry expire time.

#### ttl

    public long ttl()

Returns:
  Entry time to live.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017